use crate::services::service::{Request, Service};
use reqwest::Error;
use reqwest::{header::HeaderMap, Method, Url};
use reqwest::{Client, ClientBuilder, RequestBuilder};

pub struct Download<'a> {
    request: Request<'a>,
}

impl<'a> Download<'a> {
    pub fn new(service: &'a Service) -> Self {
        Download {
            request: Request::new(service),
        }
    }

    pub fn set_obj_path(mut self, obj_path: String) -> Self {
        self.request.get(obj_path);
        self
    }

    pub async fn send(&mut self) -> Result<(), reqwest::Error> {
        let res = self.request.send().await;
        let body = res.unwrap().text().await?;
        Ok(())
    }
}
